[darcs-users] darcs 2.5 packager's preview 2

Ben Franksen benjamin.franksen at bessy.de
Mon Oct 25 16:04:11 UTC 2010


Sittampalam, Ganesh wrote:
> Benjamin Franksen wrote:
>> Here we go.
>> 
>>> darcs --exact-version
>> darcs compiled on Oct 25 2010, at 12:02:31
>> 
>> Context:
>> 
>> [TAG 2.4.99.1
>> Reinier Lamers <tux_rocker at reinier.de>**20101015132045
>>  Ignore-this: 4293f06a5a3344bc710b65253ba0c8c1 ]
> 
> Could we also have it for the working version?

Unfortunately, exact-version does not yet list the library versions for
2.4.4:

> darcs --exact-version
darcs compiled on Oct 25 2010, at 17:41:41

Context:

[TAG 2.4.4
Eric Kow <kowey at darcs.net>**20100515090819
 Ignore-this: 7d1a0e6a17c2be314f6ab1607bbcac13
] 

However, I used a freshly compiled version, and thus this should be the list
of packages used:

> cabal install darcs --reinstall -v | grep selecting                                                                                                                                                                                                                       
1 
selecting darcs-2.4.4 (hackage) and discarding bytestring-0.9,
darcs-2.1.2.1,
selecting hashed-storage-0.4.13 (installed or hackage) and discarding
mmap-0.2
selecting zlib-0.5.2.0 (installed or hackage)
selecting mmap-0.4.1 (installed or hackage) and discarding mmap-0.4
selecting dataenc-0.13.0.3 (installed or hackage) and discarding
dataenc-0.9,
selecting regex-compat-0.93.1 (installed or hackage) and discarding
selecting regex-posix-0.94.4 (installed or hackage) and discarding
selecting regex-base-0.93.2 (installed or hackage) and discarding
selecting html-1.0.1.2 (installed or hackage) and discarding html-1.0 and
selecting haskeline-0.6.2.4 (installed or hackage) and discarding
selecting terminfo-0.3.1.3 (installed or hackage)
selecting utf8-string-0.3.6 (installed or hackage)
selecting binary-0.5.0.2 (installed or hackage) and discarding binary-0.2,
selecting random-1.0.0.2 (installed or hackage) and discarding
random-1.0.0.0
selecting time-1.1.4 (installed or hackage) and discarding time-1.0,
1.1.2.0,
selecting extensible-exceptions-0.1.1.1 (installed or hackage) and
discarding
selecting HTTP-4000.0.9 (installed or hackage) and discarding HTTP-3000.0.0,
selecting network-2.2.1.7 (installed or hackage) and discarding
selecting parsec-2.1.0.1 (installed or hackage) and discarding parsec-2.0,
selecting mtl-1.1.1.0 (installed or hackage) and discarding mtl-1.1.0.0,
selecting bytestring-0.9.1.7 (installed or hackage) and discarding
selecting ghc-prim-0.2.0.0 (installed)
selecting ffi-1.0 (installed)
selecting rts-1.0 (installed)
selecting process-1.0.1.3 (installed or hackage) and discarding
selecting directory-1.0.1.1 (installed or hackage) and discarding
selecting unix-2.4.0.2 (installed or hackage) and discarding unix-2.0,
selecting old-time-1.0.0.5 (installed or hackage) and discarding
selecting old-locale-1.0.0.2 (installed or hackage) and discarding
selecting filepath-1.1.0.4 (installed or hackage) and discarding
selecting containers-0.3.0.0 (installed or hackage) and discarding
selecting array-0.3.0.1 (installed or hackage) and discarding array-0.1.0.0,
selecting base-3.0.3.2 (installed) and 4.2.0.2 (installed) and discarding
selecting integer-gmp-0.2.0.1 (installed)
selecting syb-0.1.0.2 (installed)
...

> strace -oSTRACE_GOOD darcs
push /opt/repositories/controls/darcs-old-fashioned/epics/ioc/MLS-Controls/base-3-14 -a
Finished applying...
Push successful.

STRACE_GOOD is attached.

You can see that there are significant differences at the end of both files,
but I am not very proficient in interpreting them.

Cheers
Ben
-------------- next part --------------
An embedded and charset-unspecified text was scrubbed...
Name: STRACE_GOOD
URL: <http://lists.osuosl.org/pipermail/darcs-users/attachments/20101025/75ea54d4/attachment-0001.ksh>


More information about the darcs-users mailing list